
/* RJVirtualCamera3DManager.h */

#ifndef ROKOJORI__VIRTUAL_CAMERA_3_D_MANAGER_H
#define ROKOJORI__VIRTUAL_CAMERA_3_D_MANAGER_H

#include "./RJVirtualCamera3D.h"
#include "./RJNetworkNode.h"


class RJVirtualCamera3DManager : public RJNetworkNode 
{
  GDCLASS(RJVirtualCamera3DManager, RJNetworkNode);

protected:
  static void _bind_methods();
  

  float cameraPrioritySmoothingCoefficient;
  float cameraPrioritySmoothingStepFPS;

public:

  GDVIRTUAL1R( Ref<RJVirtualCamera3D>, getCamera, int );
  GDVIRTUAL1R( int, getCameraIndex, Ref<RJVirtualCamera3D> );
  GDVIRTUAL0R( int, getCameraSize );
  GDVIRTUAL1R( float, getCameraPriority, int );
  GDVIRTUAL2( setCameraPriority, int, float );
  float get_cameraPrioritySmoothingCoefficient(); void set_cameraPrioritySmoothingCoefficient( float p_cameraPrioritySmoothingCoefficient );
  float get_cameraPrioritySmoothingStepFPS(); void set_cameraPrioritySmoothingStepFPS( float p_cameraPrioritySmoothingStepFPS );

  RJVirtualCamera3DManager();
 
  ~RJVirtualCamera3DManager();
};


#endif // ROKOJORI__VIRTUAL_CAMERA_3_D_MANAGER_H
